﻿using System.Collections.Generic;
using System.Linq;
using Telerik.Windows.Data;

namespace CustomAggregateFunction
{
    public class NewCountFunction : CountFunction
    {
        protected override System.Type ExtensionMethodsType
        {
            get
            {
                return typeof(AggregateFunctions);
            }
        }
    }

    public static class AggregateFunctions
    {
        public static int Count<T>(this IEnumerable<T> source)
        {
            return source.Cast<Player>().Count(p => p.Status == "new");
        }
    }
}
